Page MenuHomePhabricator

Re-index Slovak Wikis after analysis chain is deployed
Closed, ResolvedPublic

Description

We need to:

  • deploy the search/search/extra-analysis-slovak plugin with the Slovak stemmer
  • deploy the analysis config that expects the stemmer to be there
  • re-index Slovak Wikis with the new analysis chain enabled ← we are here

Event Timeline

TJones created this task.Apr 5 2018, 4:36 PM
TJones triaged this task as Normal priority.
TJones updated the task description. (Show Details)May 1 2018, 2:35 PM
TJones added a comment.May 3 2018, 1:06 PM

We decoupled T191543 and T191544 by creating a sub-module for Slovak, so that we can deploy it (and future language analyzers) without having to carefully coordinate the deployment of the "extra" module and the config that enables the new language. So, now we have to wait for both T191543 and T191544 to get done.

T191544 is done. However, T191543 is "done", but needs to be re-done because of the sub-module refactor. Not sure yet if it's going to be the same ticket or a new one. Will update if a new ticket comes into play.

TJones claimed this task.Jun 4 2018, 8:00 PM

Mentioned in SAL (#wikimedia-operations) [2018-06-05T15:42:34Z] <Trey314159> reindexing Slovak wikis on elastic@codfw (T191545)

Mentioned in SAL (#wikimedia-operations) [2018-06-05T16:58:27Z] <Trey314159> reindexing Slovak wikis on elastic@eqiad (T191545)

debt closed this task as Resolved.Jun 14 2018, 8:09 PM